<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/BluetoothImplementations/BlueZ/src/BlueZBluetoothDevice.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_27114e8c504df5f4609f20f7d28eb6fc.html">BluetoothImplementations</a></li><li class="navelem"><a class="el" href="dir_734f87f436384b5f4d3ce6cedeff05c0.html">BlueZ</a></li><li class="navelem"><a class="el" href="dir_1298b2e4ec6fcaa0bfd6e425cd36abba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">BlueZBluetoothDevice.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;<a class="el" href="_s_d_p_records_8h_source.html">AVSCommon/Utils/Bluetooth/SDPRecords.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_a2_d_p_sink_8h_source.html">BlueZ/BlueZA2DPSink.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_a2_d_p_source_8h_source.html">BlueZ/BlueZA2DPSource.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_a_v_r_c_p_controller_8h_source.html">BlueZ/BlueZAVRCPController.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_a_v_r_c_p_target_8h_source.html">BlueZ/BlueZAVRCPTarget.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_constants_8h_source.html">BlueZ/BlueZConstants.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_device_manager_8h_source.html">BlueZ/BlueZDeviceManager.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_bluetooth_device_8h_source.html">BlueZ/BlueZBluetoothDevice.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for BlueZBluetoothDevice.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_blue_z_bluetooth_device_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_blue_z_bluetooth_device_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_blue_z_bluetooth_device_8cpp" id="_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_blue_z_bluetooth_device_8cpp">
<area shape="rect" id="node2" href="_s_d_p_records_8h.html" title="AVSCommon/Utils/Bluetooth\l/SDPRecords.h" alt="" coords="1863,459,2054,497"/>
<area shape="rect" id="node5" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="832,365,1008,404"/>
<area shape="rect" id="node21" href="_blue_z_a2_d_p_sink_8h.html" title="BlueZ/BlueZA2DPSink.h" alt="" coords="1782,192,1949,217"/>
<area shape="rect" id="node33" href="_blue_z_a2_d_p_source_8h.html" title="BlueZ/BlueZA2DPSource.h" alt="" coords="1457,372,1639,397"/>
<area shape="rect" id="node34" href="_blue_z_a_v_r_c_p_controller_8h.html" title="BlueZ/BlueZAVRCPController.h" alt="" coords="2073,372,2281,397"/>
<area shape="rect" id="node35" href="_blue_z_a_v_r_c_p_target_8h.html" title="BlueZ/BlueZAVRCPTarget.h" alt="" coords="2739,285,2927,311"/>
<area shape="rect" id="node36" href="_blue_z_bluetooth_device_8h.html" title="BlueZ/BlueZBluetoothDevice.h" alt="" coords="3231,372,3433,397"/>
<area shape="rect" id="node42" href="_blue_z_constants_8h.html" title="BlueZ/BlueZConstants.h" alt="" coords="3088,105,3254,131"/>
<area shape="rect" id="node43" href="_blue_z_device_manager_8h.html" title="BlueZ/BlueZDeviceManager.h" alt="" coords="2865,105,3063,131"/>
<area shape="rect" id="node4" href="_s_d_p_record_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/SDPRecord\lInterface.h" alt="" coords="2084,552,2294,604"/>
<area shape="rect" id="node11" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="458,459,672,497"/>
<area shape="rect" id="node16" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1133,559,1309,597"/>
<area shape="rect" id="node17" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="832,459,1008,497"/>
<area shape="rect" id="node19" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1083,459,1280,497"/>
<area shape="rect" id="node20" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1045,652,1221,691"/>
<area shape="rect" id="node18" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="832,559,1008,597"/>
<area shape="rect" id="node22" href="_a2_d_p_sink_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSink\lInterface.h" alt="" coords="1809,552,2010,604"/>
<area shape="rect" id="node23" href="_bluetooth_event_bus_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEventBus.h" alt="" coords="2474,279,2665,317"/>
<area shape="rect" id="node26" href="_bluetooth_events_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEvents.h" alt="" coords="2386,365,2577,404"/>
<area shape="rect" id="node27" href="_bluetooth_device_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceInterface.h" alt="" coords="2231,459,2476,497"/>
<area shape="rect" id="node29" href="_a2_d_p_source_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSource\lInterface.h" alt="" coords="1568,552,1784,604"/>
<area shape="rect" id="node32" href="_a_v_r_c_p_target_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/AVRCPTarget\lInterface.h" alt="" coords="2686,552,2908,604"/>
<area shape="rect" id="node31" href="_a_v_r_c_p_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/AVRCPController\lInterface.h" alt="" coords="2319,552,2561,604"/>
<area shape="rect" id="node30" href="_formatted_audio_stream_adapter_8h.html" title="AVSCommon/Utils/Bluetooth\l/FormattedAudioStreamAdapter.h" alt="" coords="1501,652,1721,691"/>
<area shape="rect" id="node41" href="_blue_z_utils_8h.html" title="BlueZUtils.h" alt="" coords="2841,465,2935,491"/>
<area shape="rect" id="node39" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="3321,459,3516,497"/>
<area shape="rect" id="node40" href="_d_bus_properties_proxy_8h.html" title="BlueZ/DBusPropertiesProxy.h" alt="" coords="3823,465,4020,491"/>
<area shape="rect" id="node45" href="_bluetooth_device_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceManager\lInterface.h" alt="" coords="3052,179,3287,231"/>
<area shape="rect" id="node46" href="_bluetooth_host_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothHostController\lInterface.h" alt="" coords="4145,452,4372,504"/>
<area shape="rect" id="node47" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="3059,459,3247,497"/>
<area shape="rect" id="node48" href="_blue_z_host_controller_8h.html" title="BlueZ/BlueZHostController.h" alt="" coords="3486,372,3676,397"/>
<area shape="rect" id="node49" href="_m_p_r_i_s_player_8h.html" title="BlueZ/MPRISPlayer.h" alt="" coords="3852,192,4002,217"/>
<area shape="rect" id="node50" href="_pairing_agent_8h.html" title="BlueZ/PairingAgent.h" alt="" coords="4473,372,4620,397"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1bluetooth_implementations"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations.html">alexaClientSDK::bluetoothImplementations</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html">alexaClientSDK::bluetoothImplementations::blueZ</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_blue_z_bluetooth_device_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad01f6f0e39c688b091431e24036559bd"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ad01f6f0e39c688b091431e24036559bd">alexaClientSDK::bluetoothImplementations::blueZ::TAG</a> {&quot;BlueZBluetoothDevice&quot;}</td></tr>
<tr class="memdesc:ad01f6f0e39c688b091431e24036559bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ad01f6f0e39c688b091431e24036559bd">More...</a><br /></td></tr>
<tr class="separator:ad01f6f0e39c688b091431e24036559bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a380373ca755a08bc24830fa7e964f3bf"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a380373ca755a08bc24830fa7e964f3bf">alexaClientSDK::bluetoothImplementations::blueZ::BLUEZ_DEVICE_PROPERTY_ALIAS</a> = &quot;Alias&quot;</td></tr>
<tr class="memdesc:a380373ca755a08bc24830fa7e964f3bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Name property that BlueZ uses.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a380373ca755a08bc24830fa7e964f3bf">More...</a><br /></td></tr>
<tr class="separator:a380373ca755a08bc24830fa7e964f3bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe60b6f9eab84d6653efcd73a00eb1b8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#afe60b6f9eab84d6653efcd73a00eb1b8">alexaClientSDK::bluetoothImplementations::blueZ::BLUEZ_DEVICE_PROPERTY_UUIDS</a> = &quot;UUIDs&quot;</td></tr>
<tr class="memdesc:afe60b6f9eab84d6653efcd73a00eb1b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The UUID property that BlueZ uses.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#afe60b6f9eab84d6653efcd73a00eb1b8">More...</a><br /></td></tr>
<tr class="separator:afe60b6f9eab84d6653efcd73a00eb1b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2027c67b803308ad71366e91b55b816"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#af2027c67b803308ad71366e91b55b816">alexaClientSDK::bluetoothImplementations::blueZ::BLUEZ_ERROR_NOTFOUND</a> = &quot;org.bluez.Error.DoesNotExist&quot;</td></tr>
<tr class="memdesc:af2027c67b803308ad71366e91b55b816"><td class="mdescLeft">&#160;</td><td class="mdescRight">An BlueZ error indicating when an object no longer exists.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#af2027c67b803308ad71366e91b55b816">More...</a><br /></td></tr>
<tr class="separator:af2027c67b803308ad71366e91b55b816"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c14a89c6df3f7802da578e9e127d0e8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a2c14a89c6df3f7802da578e9e127d0e8">alexaClientSDK::bluetoothImplementations::blueZ::BLUEZ_ERROR_RESOURCE_UNAVAILABLE</a> = &quot;org.bluez.Error.Failed: Resource temporarily unavailable&quot;</td></tr>
<tr class="memdesc:a2c14a89c6df3f7802da578e9e127d0e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">A BlueZ connect error indicating authentication was rejected.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a2c14a89c6df3f7802da578e9e127d0e8">More...</a><br /></td></tr>
<tr class="separator:a2c14a89c6df3f7802da578e9e127d0e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1c668beb8657cac6258395477658ddc"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#af1c668beb8657cac6258395477658ddc">alexaClientSDK::bluetoothImplementations::blueZ::BLUEZ_DEVICE_METHOD_PAIR</a> = &quot;Pair&quot;</td></tr>
<tr class="memdesc:af1c668beb8657cac6258395477658ddc"><td class="mdescLeft">&#160;</td><td class="mdescRight">BlueZ org.bluez.Device1 method to pair.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#af1c668beb8657cac6258395477658ddc">More...</a><br /></td></tr>
<tr class="separator:af1c668beb8657cac6258395477658ddc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a957d853b07ec9bf32f9c3e59cc224667"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a957d853b07ec9bf32f9c3e59cc224667">alexaClientSDK::bluetoothImplementations::blueZ::BLUEZ_DEVICE_METHOD_CONNECT</a> = &quot;Connect&quot;</td></tr>
<tr class="memdesc:a957d853b07ec9bf32f9c3e59cc224667"><td class="mdescLeft">&#160;</td><td class="mdescRight">BlueZ org.bluez.Device1 method to connect.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a957d853b07ec9bf32f9c3e59cc224667">More...</a><br /></td></tr>
<tr class="separator:a957d853b07ec9bf32f9c3e59cc224667"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab86564879fa131e74ea00a2354d0bea3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ab86564879fa131e74ea00a2354d0bea3">alexaClientSDK::bluetoothImplementations::blueZ::BLUEZ_DEVICE_METHOD_DISCONNECT</a> = &quot;Disconnect&quot;</td></tr>
<tr class="memdesc:ab86564879fa131e74ea00a2354d0bea3"><td class="mdescLeft">&#160;</td><td class="mdescRight">BlueZ org.bluez.Device1 method to disconnect.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ab86564879fa131e74ea00a2354d0bea3">More...</a><br /></td></tr>
<tr class="separator:ab86564879fa131e74ea00a2354d0bea3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0123c5478c78e9160c0cc39e7759058e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a0123c5478c78e9160c0cc39e7759058e">alexaClientSDK::bluetoothImplementations::blueZ::BLUEZ_DEVICE_PROPERTY_PAIRED</a> = &quot;Paired&quot;</td></tr>
<tr class="memdesc:a0123c5478c78e9160c0cc39e7759058e"><td class="mdescLeft">&#160;</td><td class="mdescRight">BlueZ org.bluez.Device1 paired property.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a0123c5478c78e9160c0cc39e7759058e">More...</a><br /></td></tr>
<tr class="separator:a0123c5478c78e9160c0cc39e7759058e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ae6e1a8fac41ba09fd85abe444eec53"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a7ae6e1a8fac41ba09fd85abe444eec53">alexaClientSDK::bluetoothImplementations::blueZ::BLUEZ_DEVICE_PROPERTY_CONNECTED</a> = &quot;Connected&quot;</td></tr>
<tr class="memdesc:a7ae6e1a8fac41ba09fd85abe444eec53"><td class="mdescLeft">&#160;</td><td class="mdescRight">BlueZ org.bluez.Device1 connected property.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a7ae6e1a8fac41ba09fd85abe444eec53">More...</a><br /></td></tr>
<tr class="separator:a7ae6e1a8fac41ba09fd85abe444eec53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a234ce143713e003d6e3babf74e2b7979"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a234ce143713e003d6e3babf74e2b7979">alexaClientSDK::bluetoothImplementations::blueZ::BLUEZ_ADAPTER_REMOVE_DEVICE</a> = &quot;RemoveDevice&quot;</td></tr>
<tr class="memdesc:a234ce143713e003d6e3babf74e2b7979"><td class="mdescLeft">&#160;</td><td class="mdescRight">BlueZ org.bluez.Adapter1 method to remove device.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a234ce143713e003d6e3babf74e2b7979">More...</a><br /></td></tr>
<tr class="separator:a234ce143713e003d6e3babf74e2b7979"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5ab8f8fbd306b0a12d0adcb7683f8b0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ae5ab8f8fbd306b0a12d0adcb7683f8b0">alexaClientSDK::bluetoothImplementations::blueZ::MEDIA_CONTROL_INTERFACE</a> = &quot;org.bluez.MediaControl1&quot;</td></tr>
<tr class="memdesc:ae5ab8f8fbd306b0a12d0adcb7683f8b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Media Control interface on the DBus object.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ae5ab8f8fbd306b0a12d0adcb7683f8b0">More...</a><br /></td></tr>
<tr class="separator:ae5ab8f8fbd306b0a12d0adcb7683f8b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
